//
//  SASwitchCtrl.m
//  MIG
//
//  Created by 余西安 on 14/12/15.
//  Copyright (c) 2014年 Sian. All rights reserved.
//
#define kSASwitchBarH 44
#import "SASwitchCtrl.h"

@interface SASwitchCtrl () <SASwitchBarDelegate, UIScrollViewDelegate>

@end

@implementation SASwitchCtrl

#pragma mark - 初始化方法
- (instancetype)init
{
    if (self = [super init]) {
        self.switchBar = [[SASwitchBar alloc] init];
        self.switchView = [[SASwitchView alloc] init];
        self.switchView.autoresizingMask = UIViewAutoresizingFlexibleBottomMargin;
        [self.view addSubview:self.switchBar];
        [self.view addSubview:self.switchView];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.edgesForExtendedLayout = UIRectEdgeNone;
    self.switchView.showsHorizontalScrollIndicator = NO;
    self.switchView.pagingEnabled = YES;
    self.switchBar.delegate = self;
    self.switchView.delegate = self;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    {
        CGFloat w = self.view.frame.size.width;
        CGFloat h = self.view.frame.size.height - kSASwitchBarH;
        self.switchBar.frame = (CGRect){0, 0, w, kSASwitchBarH};
        self.switchView.frame = (CGRect){0, kSASwitchBarH, w, h};
    }
}

#pragma mark - 代理方法
// 上部标签栏事件处理
- (void)switchBar:(SASwitchBar *)switchBar seletedIndex:(NSInteger)index
{
    // 标签点击第几个，scrollView的offset即跳转到第几屏，并以动画形式转场
    CGPoint offset = (CGPoint){self.view.frame.size.width * index, 0};
    [UIView animateWithDuration:0.3 animations:^{
        self.switchView.contentOffset = offset;
    }];
}
// scrollView代理方法
- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView
{
    int page = scrollView.contentOffset.x / self.view.frame.size.width;
    self.switchBar.selectedIndex = page;
}
@end
