//
//  SASwitchView.m
//  MIG
//
//  Created by 余西安 on 14/12/15.
//  Copyright (c) 2014年 Sian. All rights reserved.
//

#import "SASwitchView.h"

@implementation SASwitchView

- (void)setViews:(NSArray *)views
{
    _views = views;
    CGFloat width = [[UIScreen mainScreen] bounds].size.width;
    // 在视图数组赋值时，同时整理各视图的布局，主要是x/y坐标，此时还不能确定视图大小
    for (int i = 0; i < self.views.count; i++){
        UIView *view = self.views[i];
        view.frame = (CGRect){width * i, 0, width, 0};
        [self addSubview:view];
    }
    self.contentSize = (CGSize){width * views.count, 0};
}

- (void)setFrame:(CGRect)frame
{
    [super setFrame:frame];
    // 外部给视图设置大小时，同时调整内部子视图，保持子视图与父控制大小一致
    for (UIView *view in self.subviews) {
        CGRect rect = view.frame;
        rect.size.height = frame.size.height;
        view.frame = rect;
    }
}

@end
